import request from '@/utils/request'

// 查询案例类型列表
export function listCaseType(query) {
  return request({
    url: '/hezhi/caseType/list',
    method: 'get',
    params: query
  })
}

// 查询案例类型详细
export function getCaseType(caseTypeId) {
  return request({
    url: '/hezhi/caseType/' + caseTypeId,
    method: 'get'
  })
}

// 新增案例类型
export function addCaseType(data) {
  return request({
    url: '/hezhi/caseType',
    method: 'post',
    data: data
  })
}

// 修改案例类型
export function updateCaseType(data) {
  return request({
    url: '/hezhi/caseType',
    method: 'put',
    data: data
  })
}

// 删除案例类型
export function delCaseType(caseTypeId) {
  return request({
    url: '/hezhi/caseType/' + caseTypeId,
    method: 'delete'
  })
}
